System.Design 1.0.5000.0 2.0.0.0 System.Web.UI.Design.TextControlDesigner

The control creates a link for the client browser to navigate to another Web page.

In a visual designer, when you switch from Source to Design view, the markup source code that describes a control is parsed and a design-time version of the control is created on the design surface. When you switch back to Source view, the design-time control is persisted to the markup source code and edited into the markup for the Web page. The class provides design-time support for the control.

The method returns the markup that is used to render the associated control at design time. The method is called when there is a change to the associated control.

Provides design-time support in a visual designer for the Web server control.

- Constructor

  The .NET Framework internally constructs a new instance of the class when it creates the associated control or a copy of the control on the design surface.

  Initializes a new instance of the class.

  1.0.5000.0
  2.0.0.0
- Method
  System.String

  The method generates the design-time markup for the associated control. The method first saves local copies of the , , and properties, as well as the child collection. It provides default values for these properties if the original values are null or blank. The method then calls the base method to generate the markup and restores the properties and child control collection to their original values, if necessary.

  Gets the markup that is used to render the associated control at design time.

  A string containing the markup used to render the associated hyperlink control at design time.

  1.0.5000.0
  2.0.0.0